Name:             ccl-util
Version:          32.69
Release:          %mkrel 1
Summary:          Reusable Framework/Utils
Group:            Development/Java
License:          GPL, LGPL, MPL
URL:              http://www.kclee.de/clemens/java/ccl/
Source0:          http://www.kclee.de/clemens/java/ccl/ccl%{version}.zip
Source1:          ccl-util-32.69.pom
Patch0:           ccl-32.69-build_xml.patch
Patch1:           ccl-32.69-ccl-MainTest.patch
Patch2:           ccl-util-32.69-JCFUtil.patch
Patch3:           ccl-util-32.69-Test.patch
Patch4:           ccl-util-32.69-Util.patch
Patch5:           ccl-util-32.69-servlet.patch
BuildRequires:    ant
BuildRequires:    gif89encoder
BuildRequires:    java-devel
BuildRequires:    javahelp2
BuildRequires:    junit
BuildRequires:    jpackage-utils
BuildRequires:    servletapi5
BuildRequires:    xalan-j2
BuildRequires:    xerces-j2
BuildRequires:    xml-commons-apis
Requires:         gif89encoder
Requires:         jpackage-utils
Requires:         servletapi5
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         java
Provides:         ccl = %{?epoch:%epoch:}%{version}-%{release}
BuildArch:        noarch

%description
Reusable Framework/Utils

Features

    * Basic GUI/Swing application framework and utility classes
    * Additional string methods
    * Vector methods
    * File methods
    * Debug and assertion support
    * Test framework

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
Reusable Framework/Utils.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Manual for %{name}

%description manual
Reusable Framework/Utils.

This package contains manual for %{name}

%prep

%setup -q -n ccl%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0

for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
for c in $(find . -name "*~"); do
	rm -rf $c
done
find -type d -name .xvpics | xargs -t rm -r 

ln -sf $(build-classpath gif89encoder) lib/gif89encoder.jar
ln -sf $(build-classpath javahelp2) lib/jhbasic.jar
ln -sf $(build-classpath servletapi5) lib/servlet.jar
ln -sf $(build-classpath junit) lib/junit.jar

%build

export CLASSPATH=$(build-classpath javahelp2 junit servletapi5 xalan-j2 xerces-j2 xml-commons-apis gif89encoder)
ant -Dant.build.javac.source=1.3 -Dant.build.javac.target=1.3
pushd classes
%jar cf ../lib/ccl.jar *
popd

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -m 644 lib/ccl.jar \
	%{buildroot}%{_javadir}/%{name}-%{version}.jar
	
(
	cd %{buildroot}%{_javadir}/
	for jar in *-%{version}*; do 
		ln -sf ${jar} ${jar/-%{version}/}
	done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap javancss ccl %{version} JPP %{name} 

mkdir -p %{buildroot}%{_javadocdir}/ccl
cp -r doc/api/* %{buildroot}%{_javadocdir}/ccl
rm -rf doc/api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/ccl-util-%{version}.jar
%{_javadir}/ccl-util.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README.TXT

%files javadoc
%{_javadocdir}/ccl

%files manual
%doc doc/*



%changelog

* Mon Sep 26 2011 dmorgan <dmorgan> 32.69-1.mga2
+ Revision: 147835
- Adapt to mageia guidelines

  + gil <gil>
    - imported package ccl-util


* Thu Sep 24 2009 gil <puntogil@libero.it> 32.69-1mamba
- package created by autospec
